Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class Navigator.AxisFilter

    java.lang.Object
      net.sf.saxon.om.AxisIteratorImpl
          net.sf.saxon.om.Navigator.AxisFilter

All Implemented Interfaces:
  AxisIterator, SequenceIterator, UnfailingIterator

Enclosing class:
  Navigator

    public static class Navigator.AxisFilter

extends AxisIteratorImpl

AxisFilter is an iterator that applies a NodeTest filter to the nodes returned by an underlying AxisIterator.

Field Summary

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Constructor Summary
`Navigator.AxisFilter(AxisIterator base, NodeTest test)` S Construct a AxisFilter

Method Summary
`SequenceIterator` | `getAnother()` Get another SequenceIterator that iterates over the same items as the original, but which is repositioned at the start of the sequence.
`Item` | `next()` Get the next item in the sequence.

Methods inherited from class net.sf.saxon.om.AxisIteratorImpl
`atomize, current, getProperties, getStringValue, iterateAxis, moveNext, position`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Navigator.AxisFilter

    public Navigator.AxisFilter(AxisIterator base,
                                NodeTest test)

  S Construct a AxisFilter

  Parameters:
    `base` - the underlying iterator that returns all the nodes on a required axis. This must not be an atomizing iterator!
    `test` - a NodeTest that is applied to each node returned by the underlying AxisIterator; only those nodes that pass the NodeTest are returned by the AxisFilter

Method Detail

### next

    public Item next()

  Description copied from interface: `SequenceIterator`
  Get the next item in the sequence. This method changes the state of the iterator, in particular it affects the result of subsequent calls of position() and current().

  Returns:
    the next item, or null if there are no more items. Once a call on next() has returned null, no further calls should be made. The preferred action for an iterator if subsequent calls on next() are made is to return null again, and all implementations within Saxon follow this rule.

### getAnother

    public SequenceIterator getAnother()

  Description copied from interface: `SequenceIterator`
  Get another SequenceIterator that iterates over the same items as the original, but which is repositioned at the start of the sequence.

  This method allows access to all the items in the sequence without disturbing the current position of the iterator. Internally, its main use is in evaluating the last() function.

  This method does not change the state of the iterator.

  Returns:
    a SequenceIterator that iterates over the same items, positioned before the first item

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.